## com.rbnb.api
Class Ask

    java.lang.Object
      com.rbnb.api.Ask

All Implemented Interfaces:
  Serializable, Cloneable

    public final class Ask

extends Object

Ask the RBNB server for information (usually).

Information that can be requested includes:

- `CHILDAT` - requests information about a specific child. This is not used and could be removed,
- `ISRUNNING` - requests the run status of a specific `Client`,
- `REGISTERED` - requests matching registration information,
- `REQUESTAT` - initiates a specific request out of an NBO's ring buffer (see `NBO.initiateRequestAt`),
- `ROUTEFROM` - requests that a route be initiated from the local server.

Since:
  V2.0
See Also:
  `Client`, `NBO.initiateRequestAt(int indexI)`, `RemoteServer`, Serialized Form
Author:
  Ian Brown
Version:
  08/13/2004

Field Summary
`static String` `CHILDAT` Ask for a child at a particular index.
`static String` `ISRUNNING` Ask if something is running.
`static String` `REGISTERED` Ask for registration information.
`static String` `REQUESTAT` Request for the matches to the child at a particular index.
`static String` `ROUTEFROM` Route from another <bold>RBNB</bold> server.

Method Summary
`Object` `clone()` Clones this `Ask`.
`Vector` `getAdditional()` Gets the additional information.
`String` `getInformationType()` Gets the type of information desired.
`String` `toString()` Gets a string representation.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CHILDAT

    public static final String CHILDAT

  Ask for a child at a particular index.

  The additional arguments are:

  1. `java.lang.Integer` - the index of the child.

  Since:
    V2.0
  See Also:
    Constant Field Values
  Author:
    Ian Brown
  Version:
    04/15/2002

### ISRUNNING

    public static final String ISRUNNING

  Ask if something is running.

  The additional arguments are:

  1. `com.rbnb.api.Client` - the client to check.

  Since:
    V2.0
  See Also:
    Constant Field Values
  Author:
    Ian Brown
  Version:
    04/15/2002

### REGISTERED

    public static final String REGISTERED

  Ask for registration information.

  The additional arguments are:

  1. `com.rbnb.api.Rmap` - the `Rmap` hierarchy to match.

  Since:
    V2.0
  See Also:
    Constant Field Values
  Author:
    Ian Brown
  Version:
    04/15/2002

### REQUESTAT

    public static final String REQUESTAT

  Request for the matches to the child at a particular index.

  The additional arguments are:

  1. `java.lang.Integer` - the index of the request.

  Since:
    V2.0
  See Also:
    Constant Field Values
  Author:
    Ian Brown
  Version:
    04/15/2002

### ROUTEFROM

    public static final String ROUTEFROM

  Route from another <bold>RBNB</bold> server.

  The additional arguments are:

  1. `java.lang.String` - the type of connection:

     - "PARENT" - accept a connection from a parent server,
     - "CHILD" - accept a connection from a child server,
     - "PEER" - accept a connecion from a peer server.

  2. `com.rbnb.api.Rmap` - the `Rmap` hierarchy representing the other <bold>RBNB. The hierarchy depends on the type of connection:

     - type = "PARENT" or type = "PEER" - the hierarchy consists of a `RoutingMap` and `Servers`, or
     - type = "CHILD" - the hierarchy consists of a single `Server`.

  Since:
    V2.0
  See Also:
    Constant Field Values
  Author:
    Ian Brown
  Version:
    04/15/2002

Method Detail

### clone

    public Object clone()

  Clones this `Ask`.

  Returns:
    the clone.
  Since:
    V2.0
  Author:
    Ian Brown
  Version:
    05/09/2001

### getAdditional

    public final Vector getAdditional()

  Gets the additional information.

  Returns:
    the additional information `Vector`.
  Since:
    V2.0
  Author:
    Ian Brown
  Version:
    04/15/2002

### getInformationType

    public final String getInformationType()

  Gets the type of information desired.

  Returns:
    the type of information desired.
  Since:
    V2.0
  Author:
    Ian Brown
  Version:
    04/15/2002

### toString

    public final String toString()

  Gets a string representation.

  Overrides:
    `toString` in class `Object`
  Returns:
    the string representation.
  Since:
    V2.0
  Author:
    Ian Brown
  Version:
    05/09/2001